Package bitel.billing.server.contract.bean

# Class LimitChangeTask

java.lang.Object
bitel.billing.server.contract.bean.LimitChangeTask

All Implemented Interfaces:
  `ContractIdable`

public final class LimitChangeTask extends Object implements ContractIdable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LimitChangeTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  Возвращает id договора
  `Date`
  `getDate()`
  `BigDecimal`
  `getDeltaSum()`
  `int`
  `getId()`
  `ContractLimitAvtoStatus`
  `getStatus()`
  `int`
  `getUserId()`
  `boolean`
  `isCreateByContract()`
  `void`
  `setContractId(int contractId)`
  `void`
  `setCreateByContract(boolean createByContract)`
  `void`
  `setDate(Date date)`
  `void`
  `setDeltaSum(BigDecimal sum)`
  `void`
  `setId(int id)`
  `void`
  `setStatus(ContractLimitAvtoStatus status)`
  `void`
  `setUserId(int userId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LimitChangeTask

    public LimitChangeTask()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getContractId

    public int getContractId()
    Description copied from interface: `ContractIdable`
    Возвращает id договора
    Specified by:
      `getContractId` in interface `ContractIdable`
    Returns:

  - ### setContractId

    public void setContractId(int contractId)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getDeltaSum

    public BigDecimal getDeltaSum()

  - ### setDeltaSum

    public void setDeltaSum(BigDecimal sum)

  - ### getStatus

    public ContractLimitAvtoStatus getStatus()

  - ### setStatus

    public void setStatus(ContractLimitAvtoStatus status)

  - ### isCreateByContract

    public boolean isCreateByContract()

  - ### setCreateByContract

    public void setCreateByContract(boolean createByContract)